<?php
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

$can_change_all = false;
$fatso_nonce_set = false;
$fatso_nonce_name = '';
if ( isset( $_POST['fatso_nonce_name'] ) ) {
	$fatso_nonce_set = isset( $_POST['fatso_nonce_name'] );
	$fatso_nonce_name = $_POST['fatso_nonce_name'];
}
$fatso_nonce_verify = wp_verify_nonce( $fatso_nonce_name, 'fatso_nonce_action' );
if ( current_user_can( 'manage_options' ) && $fatso_nonce_set && $fatso_nonce_verify ) {
	$can_change_all = true;
}
// Update settings
if ( isset( $_POST['fatso_width'] ) && isset( $_POST['fatso_unit'] ) && $can_change_all ) {
	update_option( 'fatso_width', intval( $_POST['fatso_width'] ) );
	update_option( 'fatso_unit', sanitize_text_field( $_POST['fatso_unit'] ) );
	echo '<div id="message" class="updated fade">
		<p>' . __( 'Your settings are now updated', 'fatso' ) . '</p>
	</div>';
}
